## rpyc 5.0.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/RPyC.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/RPyC.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/RPyC"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/RPyC"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

upload: html
	rsync -r -v $(BUILDDIR)/html/ gangesmaster,rpyc@web.sourceforge.net:htdocs/

## rpyc 3.4.4

=== debian/changelog ===
rpyc (3.4.4-1) unstable; urgency=medium

  * Initial release (Closes: #850097)

 -- Carl Suster <carl@contraflo.ws>  Fri, 01 Dec 2017 18:20:43 +1100

=== debian/control ===
Source: rpyc
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Carl Suster <carl@contraflo.ws>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python3-sphinx,
 python3-all,
 python3-nose,
 python3-plumbum,
Standards-Version: 4.1.1
Homepage: https://github.com/tomerfiliba/rpyc
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/rpyc.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/rpyc.git
X-Python3-Version: >= 3.3

Package: python3-rpyc
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python3-paramiko
Suggests: python-rpyc-doc
Description: transparent and symmetric Remote Python Call library -- Python3 module
 RPyC (pronounced as are-pie-see), or Remote Python Call, is a transparent
 Python library for symmetrical remote procedure calls, clustering and
 distributed-computing. RPyC makes use of object-proxying, a technique that
 employs Python’s dynamic nature, to overcome the physical boundaries between
 processes and computers, so that remote objects can be manipulated as if they
 were local.
 .
 This package provides the Python 3 module.

Package: python-rpyc-doc
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Recommends: python3-rpyc
Section: doc
Description: transparent and symmetric Remote Python Call library -- documentation
 RPyC (pronounced as are-pie-see), or Remote Python Call, is a transparent
 Python library for symmetrical remote procedure calls, clustering and
 distributed-computing. RPyC makes use of object-proxying, a technique that
 employs Python’s dynamic nature, to overcome the physical boundaries between
 processes and computers, so that remote objects can be manipulated as if they
 were local.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=rpyc

export PYBUILD_BEFORE_TEST=mkdir {build_dir}/bin; cp bin/rpyc_classic.py bin/rpyc_registry.py {build_dir}/bin
export PYBUILD_AFTER_TEST=rm -r {build_dir}/bin
export PYBUILD_AFTER_INSTALL=rm -r {destdir}/usr/bin


%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_sphinxdoc: export http_proxy=127.0.0.1:9
override_dh_sphinxdoc: export https_proxy=127.0.0.1:9
override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ debian/python-rpyc-doc/usr/share/doc/python-rpyc-doc/html/
	# Remove embedded screencasts:
	sed -i -e '/<object/,/<\/object/d' debian/python-rpyc-doc/usr/share/doc/python-rpyc-doc/html/screencasts.html
	# Remove Travis CI status image:
	sed -i -e 's|https://travis-ci\.org/tomerfiliba/rpyc\.png|#|g' debian/python-rpyc-doc/usr/share/doc/python-rpyc-doc/html/index.html
	dh_sphinxdoc
	# Remove license copy:
	rm debian/python-rpyc-doc/usr/share/doc/python-rpyc-doc/html/_sources/license.rst.txt
	rm debian/python-rpyc-doc/usr/share/doc/python-rpyc-doc/html/license.html
endif

override_dh_compress:
	dh_compress -X bin/ -X demos/ -X html/

override_dh_install:
	dh_install -X bin/

=== debian/watch ===
version=4

# PyPI releases have two dots but GitHub releases sometimes omit a final .0, so
# the second uversionmangle adds it for consistency.
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rpyc-$1\.tar\.gz/, \
uversionmangle=s/-[rR][cC]/~rc/; s/(^\d+\.\d+)([^.]*$)/$1.0$2/" \
  https://github.com/tomerfiliba/rpyc/releases .*/v?(\d\S*)\.tar\.gz debian uupdate

## rpyc 4.0.2

=== debian/changelog ===
rpyc (4.0.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Carl Suster ]
  * Forward reproducible build patch upstream
  * Remove TestUdpRegistry patch rejected upstream
  * Mark other patches as not forwarded
  * Port upstream commit to fix race condition causing FTBFS
    (Closes: #907716)
  * Update Standards-Version to 4.2.1 (no changes)

 -- Carl Suster <carl@contraflo.ws>  Thu, 06 Sep 2018 19:53:43 +0200

rpyc (4.0.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python3-Version field

  [ Carl Suster ]
  * New upstream release (Closes: #904615).
  * Recommend python3-gevent to support the new gevent server (however this
    feature is currently disabled due to crashes that are not yet understood).
  * Build-Depend on python3-gevent for the corresponding test (however this
    test is currently disabled to match upstream CI configuration).
  * Make the build reproducible by applying the patch provided by Chris Lamb
    (Closes: #893611).
  * Build-Depend on python3-sphinx-rtd-theme which is now used by the docs.
  * Stop cleaning up (in debian/rules) screencasts and CI image from docs that
    no longer exist upstream.
  * Remove GitHub "fork me" banner from documentation.
  * Update Standards-Version to 4.2.0 (no changes needed).
  * Mark the doc package as M-A: foreign as per multiarch hinter.
  * Add upstream metadata file.
  * Bump debhelper compat to 11.

 -- Carl Suster <carl@contraflo.ws>  Tue, 14 Aug 2018 18:35:11 +1000

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,23 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Carl Suster <carl@contraflo.ws>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
  python3-all,
+ python3-gevent,
  python3-nose,
  python3-plumbum,
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Homepage: https://github.com/tomerfiliba/rpyc
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/rpyc.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/rpyc.git
-X-Python3-Version: >= 3.3
+Vcs-Git: https://salsa.debian.org/python-team/modules/rpyc.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/rpyc
 
 Package: python3-rpyc
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
-Recommends: python3-paramiko
+Recommends: python3-paramiko, python3-gevent
 Suggests: python-rpyc-doc
 Description: transparent and symmetric Remote Python Call library -- Python3 module
  RPyC (pronounced as are-pie-see), or Remote Python Call, is a transparent
@@ -36,6 +37,7 @@
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Recommends: python3-rpyc
 Section: doc
+Multi-Arch: foreign
 Description: transparent and symmetric Remote Python Call library -- documentation
  RPyC (pronounced as are-pie-see), or Remote Python Call, is a transparent
  Python library for symmetrical remote procedure calls, clustering and

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,10 @@
 override_dh_sphinxdoc: export https_proxy=127.0.0.1:9
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ debian/python-rpyc-doc/usr/share/doc/python-rpyc-doc/html/
-	# Remove embedded screencasts:
-	sed -i -e '/<object/,/<\/object/d' debian/python-rpyc-doc/usr/share/doc/python-rpyc-doc/html/screencasts.html
-	# Remove Travis CI status image:
-	sed -i -e 's|https://travis-ci\.org/tomerfiliba/rpyc\.png|#|g' debian/python-rpyc-doc/usr/share/doc/python-rpyc-doc/html/index.html
+	PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/ debian/python-rpyc-doc/usr/share/doc/python-rpyc-doc/html/
+	# Remove GitHub "fork me" banner image:
+	find debian/python-rpyc-doc/usr/share/doc/python-rpyc-doc/html/ -type f -print0 \
+		| xargs -0n1 sed -i -e 's|https://s3\.amazonaws\.com/github/ribbons/forkme_right_red_aa0000\.png|#|g'
 	dh_sphinxdoc
 	# Remove license copy:
 	rm debian/python-rpyc-doc/usr/share/doc/python-rpyc-doc/html/_sources/license.rst.txt

## rpyc 5.0.1

=== debian/changelog ===
rpyc (5.0.1-3) unstable; urgency=medium

  * Make autopkgtest run more comprehensive

 -- Timo Röhling <roehling@debian.org>  Mon, 14 Feb 2022 08:15:01 +0100

rpyc (5.0.1-2) unstable; urgency=medium

  * Merge changelog entries from older versions which have been
    removed from Debian before
  * Fix test suite (Closes: #908941)

 -- Timo Röhling <roehling@debian.org>  Sun, 13 Feb 2022 22:01:04 +0100

rpyc (5.0.1-1) unstable; urgency=medium

  * Initial release

 -- Timo Röhling <roehling@debian.org>  Sat, 01 Jan 2022 15:02:14 +0100

=== debian/control ===
Source: rpyc
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
	       dh-python,
               dh-sequence-python3,
	       dh-sequence-sphinxdoc,
	       python3-all (>= 3.6),
	       python3-nose2 <!nocheck>,
	       python3-plumbum,
	       python3-setuptools,
	       python3-sphinx <!nodoc>,
	       python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/rpyc.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/rpyc
Homepage: https://github.com/tomerfiliba-org/rpyc
Rules-Requires-Root: no

Package: python3-rpyc
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-rpyc-doc
Description: Python 3 library for remote procedure calls
 RPyC (pronounced as are-pie-see), or Remote Python Call, is a transparent
 Python library for symmetrical remote procedure calls, clustering and
 distributed-computing. RPyC makes use of object-proxying, a technique that
 employs Python’s dynamic nature, to overcome the physical boundaries between
 processes and computers, so that remote objects can be manipulated as if they
 were local.

Package: python3-rpyc-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python 3 library for remote procedure calls (documentation)
 RPyC (pronounced as are-pie-see), or Remote Python Call, is a transparent
 Python library for symmetrical remote procedure calls, clustering and
 distributed-computing. RPyC makes use of object-proxying, a technique that
 employs Python’s dynamic nature, to overcome the physical boundaries between
 processes and computers, so that remote objects can be manipulated as if they
 were local.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = rpyc
export PYBUILD_BEFORE_TEST = cp -r {dir}/bin {build_dir}
export PYBUILD_AFTER_TEST = rm -r {build_dir}/bin

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	make -C docs html
endif

execute_after_dh_auto_install:
	mv debian/python3-rpyc/usr/bin/rpyc_classic.py \
	   debian/python3-rpyc/usr/bin/rpyc_classic
	mv debian/python3-rpyc/usr/bin/rpyc_registry.py \
	   debian/python3-rpyc/usr/bin/rpyc_registry

=== debian/tests/control ===
Tests: run-test-suite
Depends: python3-rpyc, python3-nose2, python3-pandas, python3-numpy
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/rpyc-$1\.tar\.gz/ \
 https://github.com/tomerfiliba-org/rpyc/releases/latest .*/v?(\d\S+)\.tar\.gz

## rpyc 5.2.3

=== debian/changelog ===
rpyc (5.2.3-1) unstable; urgency=medium

  * New upstream version 5.2.3
  * Revert "Drop rpy_classic and rpyc_registry executables"
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Fri, 05 Aug 2022 19:59:21 +0200

rpyc (5.2.1-1) unstable; urgency=medium

  * New upstream version 5.2.1
  * Build with PEP 517 builder
  * Disable tests which require network access
  * Drop rpy_classic and rpyc_registry executables

 -- Timo Röhling <roehling@debian.org>  Mon, 01 Aug 2022 12:48:20 +0200

rpyc (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0
  * Fix Suggests: for -doc package

 -- Timo Röhling <roehling@debian.org>  Wed, 02 Mar 2022 07:57:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,15 @@
 	       dh-python,
                dh-sequence-python3,
 	       dh-sequence-sphinxdoc,
+	       pybuild-plugin-pyproject,
 	       python3-all (>= 3.6),
+	       python3-hatchling,
 	       python3-nose2 <!nocheck>,
 	       python3-plumbum,
 	       python3-setuptools,
 	       python3-sphinx <!nodoc>,
 	       python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/rpyc.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rpyc
 Homepage: https://github.com/tomerfiliba-org/rpyc
@@ -22,7 +24,7 @@
 Package: python3-rpyc
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Suggests: python-rpyc-doc
+Suggests: python3-rpyc-doc
 Description: Python 3 library for remote procedure calls
  RPyC (pronounced as are-pie-see), or Remote Python Call, is a transparent
  Python library for symmetrical remote procedure calls, clustering and

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,5 @@
 endif
 
 execute_after_dh_auto_install:
-	mv debian/python3-rpyc/usr/bin/rpyc_classic.py \
-	   debian/python3-rpyc/usr/bin/rpyc_classic
-	mv debian/python3-rpyc/usr/bin/rpyc_registry.py \
-	   debian/python3-rpyc/usr/bin/rpyc_registry
-
+	rm debian/python3-rpyc/usr/bin/rpyc_classic.py
+	rm debian/python3-rpyc/usr/bin/rpyc_registry.py

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1% \
 https://github.com/tomerfiliba-org/rpyc/releases/latest (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## rpyc 5.3.0

=== debian/changelog ===
rpyc (5.3.0-2) unstable; urgency=medium

  * Use the shiny new pybuild-autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Dec 2022 13:35:25 +0100

rpyc (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0
  * Apply M-A hint

 -- Timo Röhling <roehling@debian.org>  Sun, 27 Nov 2022 21:13:57 +0100

rpyc (5.2.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 18:37:43 +0100

rpyc (5.2.3-2) unstable; urgency=medium

  * Update d/watch
  * Use reproducible build date for Sphinx documentation

 -- Timo Röhling <roehling@debian.org>  Sat, 01 Oct 2022 22:02:59 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-sequence-python3,
 	       dh-sequence-sphinxdoc,
 	       pybuild-plugin-pyproject,
-	       python3-all (>= 3.6),
+	       python3-all,
 	       python3-hatchling,
 	       python3-nose2 <!nocheck>,
 	       python3-plumbum,
@@ -19,6 +19,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/rpyc.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rpyc
 Homepage: https://github.com/tomerfiliba-org/rpyc
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-rpyc
@@ -35,6 +36,7 @@
 
 Package: python3-rpyc-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Python 3 library for remote procedure calls (documentation)

## rpyc 5.3.1

=== debian/changelog ===
rpyc (5.3.1-1) unstable; urgency=medium

  * New upstream version 5.3.1
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Mon, 12 Jun 2023 13:51:44 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	       python3-setuptools,
 	       python3-sphinx <!nodoc>,
 	       python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/rpyc.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rpyc
 Homepage: https://github.com/tomerfiliba-org/rpyc

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz% \
 https://api.github.com/repos/tomerfiliba-org/rpyc/tags \
 tarball/(?:[^"]*?/)?v?@ANY_VERSION@

## rpyc 6.0.0

=== debian/changelog ===
rpyc (6.0.0-1) unstable; urgency=medium

  * New upstream version 6.0.0
  * Refresh patches (no functional changes)
  * Reformat d/control
  * Drop nose2 as test framework
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Wed, 17 Apr 2024 15:06:23 +0200

## rpyc 6.0.1

=== debian/changelog ===
rpyc (6.0.1-1) unstable; urgency=medium

  * New upstream version 6.0.1

 -- Timo Röhling <roehling@debian.org>  Sat, 28 Sep 2024 15:45:11 +0200

=== debian/control ===
Source: rpyc
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
 python3-plumbum,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/python-team/packages/rpyc.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/rpyc
Homepage: https://github.com/tomerfiliba-org/rpyc
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Description: Python 3 library for remote procedure calls
 RPyC (pronounced as are-pie-see), or Remote Python Call, is a transparent
 Python library for symmetrical remote procedure calls, clustering and
 distributed-computing. RPyC makes use of object-proxying, a technique that
 employs Python’s dynamic nature, to overcome the physical boundaries between
 processes and computers, so that remote objects can be manipulated as if they
 were local.

Package: python3-rpyc
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests: python3-rpyc-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python3-rpyc-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package provides the documentation.

## rpyc 6.0.2

=== requirements.txt ===
plumbum>=1.2

=== docs/Makefile ===
--- 
+++ 
@@ -10,9 +10,9 @@
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
+ALLSPHINXOPTS   = -n -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
+.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest nitpick
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -124,6 +124,10 @@
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in $(BUILDDIR)/linkcheck/output.txt."
 
+nitpick:
+	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) -E -W --keep-going $(BUILDDIR)/html
+	@echo "Nit-picky build test and treating warnings as errors."
+
 doctest:
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
@@ -131,7 +135,3 @@
 
 upload: html
 	rsync -r -v $(BUILDDIR)/html/ gangesmaster,rpyc@web.sourceforge.net:htdocs/
-
-
-
-

=== debian/changelog ===
rpyc (6.0.2-1) unstable; urgency=medium

  * New upstream version 6.0.2
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Wed, 20 Aug 2025 10:14:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: rpyc
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Timo Röhling <roehling@debian.org>
+Uploaders:
+ Timo Röhling <roehling@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
@@ -15,7 +16,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/rpyc.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rpyc
 Homepage: https://github.com/tomerfiliba-org/rpyc
@@ -34,7 +35,8 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
-Suggests: python3-rpyc-doc
+Suggests:
+ python3-rpyc-doc,
 Description: ${source:Synopsis}
  ${source:Extended-Description}
 
@@ -49,4 +51,3 @@
  ${source:Extended-Description}
  .
  This package provides the documentation.
-

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = rpyc
export PYBUILD_BEFORE_TEST = cp -r {dir}/bin {build_dir}
export PYBUILD_AFTER_TEST = rm -r {build_dir}/bin
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
BUILD_DATE = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
export PYBUILD_AFTER_BUILD = make -C docs html SPHINXOPTS="-D today=\"$(BUILD_DATE)\"" PYTHONPATH={build_dir}
endif

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	rm debian/python3-rpyc/usr/bin/rpyc_classic.py
	rm debian/python3-rpyc/usr/bin/rpyc_registry.py
